# Update Item Updates an item. Endpoint: PUT /items/{item_id}.json Version: 2.0.0 Security: apiKeyAuth ## Path parameters: - `item_id` (string, required) ID of the item. Example: "12345" ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Request fields (application/json): - `item` (object, required) - `item.name` (string, required) Example: "Item name" - `item.description` (string, required) Example: "Item description" - `item.unit_price` (number, required) Example: 9.99 - `item.unit` (string) Example: "service" - `item.tax` (object) ## Response 401 fields (application/json): - `errors` (object) - `errors.error` (string) Example: "Invalid API key" ## Response 422 fields (application/json): - `errors` (array) Lista de objetos contendo mensagens de erro detalhadas. Example: [{"error":"Name is not available."},{"error":"Name can't be changed because it is already associated with invoices"},{"error":"Price is not valid. Check the decimal mark and if you are inserting only numbers."}] - `errors.error` (string) ## Response 200 fields ## Response 404 fields